-- phpMyAdmin SQL Dump
-- version 4.7.4
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Apr 03, 2018 at 09:04 PM
-- Server version: 10.1.29-MariaDB
-- PHP Version: 7.2.0

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `db1`
--

-- --------------------------------------------------------

--
-- Table structure for table `customer`
--

CREATE TABLE `customer` (
  `username` varchar(10) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `profile_pic` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `customer`
--

INSERT INTO `customer` (`username`, `customer_id`, `profile_pic`) VALUES
('customer1', 1, 'img1'),
('customer2', 2, 'img2');

-- --------------------------------------------------------

--
-- Table structure for table `email`
--

CREATE TABLE `email` (
  `username` varchar(10) NOT NULL,
  `email` tinytext NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `email`
--

INSERT INTO `email` (`username`, `email`) VALUES
('customer1', 'customer1@xyz.com'),
('customer2', 'customer2@xyz.com'),
('eventman1', 'eventman1@abc.com'),
('eventman2', 'eventman2@abc.com'),
('eventman3', 'eventman2@abc.com');

-- --------------------------------------------------------

--
-- Table structure for table `eventmanagers`
--

CREATE TABLE `eventmanagers` (
  `username` varchar(10) NOT NULL,
  `event_manager_id` int(11) NOT NULL,
  `Location` varchar(20) NOT NULL,
  `wedding` tinyint(1) NOT NULL DEFAULT '0',
  `birthday parties` tinyint(1) NOT NULL DEFAULT '0',
  `conferences` tinyint(1) NOT NULL DEFAULT '0',
  `anniversaries` tinyint(1) NOT NULL DEFAULT '0',
  `get together` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `eventmanagers`
--

INSERT INTO `eventmanagers` (`username`, `event_manager_id`, `Location`, `wedding`, `birthday parties`, `conferences`, `anniversaries`, `get together`) VALUES
('eventman1', 1, 'guwahati', 0, 0, 0, 0, 0),
('eventman2', 2, 'guwahati', 0, 0, 0, 0, 0),
('eventman3', 3, 'guwahati', 0, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `events`
--

CREATE TABLE `events` (
  `event_id` int(11) NOT NULL,
  `western` tinyint(1) NOT NULL DEFAULT '0',
  `ethinic` tinyint(1) NOT NULL DEFAULT '0',
  `classic` tinyint(1) NOT NULL DEFAULT '0',
  `anime` tinyint(1) NOT NULL DEFAULT '0',
  `Jungle` tinyint(1) NOT NULL DEFAULT '0',
  `fairy Tale` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `events`
--

INSERT INTO `events` (`event_id`, `western`, `ethinic`, `classic`, `anime`, `Jungle`, `fairy Tale`) VALUES
(1, 1, 1, 1, 0, 0, 1),
(2, 1, 0, 1, 0, 0, 1),
(3, 0, 1, 0, 1, 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `phone_details`
--

CREATE TABLE `phone_details` (
  `username` varchar(10) NOT NULL,
  `phone_number` bigint(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `phone_details`
--

INSERT INTO `phone_details` (`username`, `phone_number`) VALUES
('customer1', 1234567890),
('eventman1', 2345678901),
('eventman2', 3456789012),
('eventman3', 5678901234),
('customer2', 7890123456);

-- --------------------------------------------------------

--
-- Table structure for table `profile`
--

CREATE TABLE `profile` (
  `event_manager_id` int(11) NOT NULL,
  `website` tinytext NOT NULL,
  `highlights` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `profile`
--

INSERT INTO `profile` (`event_manager_id`, `website`, `highlights`) VALUES
(1, 'www.event1.com', 'image1_location'),
(2, 'www.event2.com', 'image2_location'),
(3, 'www.event3.com', 'image3_location');

-- --------------------------------------------------------

--
-- Table structure for table `registered_details`
--

CREATE TABLE `registered_details` (
  `username` varchar(10) NOT NULL,
  `type` tinyint(1) NOT NULL,
  `name` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `registered_details`
--

INSERT INTO `registered_details` (`username`, `type`, `name`) VALUES
('customer1', 1, 'Shyaam Singh'),
('customer2', 1, 'alexander'),
('eventman1', 0, 'Bobby Deol'),
('eventman2', 0, 'alexa'),
('eventman3', 0, 'bitto');

-- --------------------------------------------------------

--
-- Table structure for table `reviews`
--

CREATE TABLE `reviews` (
  `event_manager_id` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `date` date NOT NULL,
  `comment` text,
  `ratings` float DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `reviews`
--

INSERT INTO `reviews` (`event_manager_id`, `customer_id`, `date`, `comment`, `ratings`) VALUES
(1, 2, '2018-04-10', 'Punctual and nice service', 3.5),
(2, 1, '2018-04-02', NULL, 0),
(2, 2, '2018-04-04', 'some improvement needed', 0),
(3, 1, '2018-04-10', 'nice and budget-friendly decoration themes', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `user`
--

CREATE TABLE `user` (
  `username` varchar(10) NOT NULL,
  `password` varchar(8) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `user`
--

INSERT INTO `user` (`username`, `password`) VALUES
('customer1', 'pass'),
('customer2', 'pass'),
('eventman1', 'pass'),
('eventman2', 'pass'),
('eventman3', 'pass');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `customer`
--
ALTER TABLE `customer`
  ADD PRIMARY KEY (`username`),
  ADD UNIQUE KEY `customer` (`customer_id`) USING BTREE;

--
-- Indexes for table `email`
--
ALTER TABLE `email`
  ADD PRIMARY KEY (`username`);

--
-- Indexes for table `eventmanagers`
--
ALTER TABLE `eventmanagers`
  ADD PRIMARY KEY (`username`),
  ADD UNIQUE KEY `event_manager_id` (`event_manager_id`);

--
-- Indexes for table `events`
--
ALTER TABLE `events`
  ADD PRIMARY KEY (`event_id`);

--
-- Indexes for table `phone_details`
--
ALTER TABLE `phone_details`
  ADD PRIMARY KEY (`username`),
  ADD UNIQUE KEY `phone1` (`phone_number`);

--
-- Indexes for table `profile`
--
ALTER TABLE `profile`
  ADD PRIMARY KEY (`event_manager_id`),
  ADD UNIQUE KEY `profile_link` (`website`(30)),
  ADD UNIQUE KEY `highlights` (`highlights`(50));

--
-- Indexes for table `registered_details`
--
ALTER TABLE `registered_details`
  ADD PRIMARY KEY (`username`);

--
-- Indexes for table `reviews`
--
ALTER TABLE `reviews`
  ADD PRIMARY KEY (`event_manager_id`,`customer_id`);

--
-- Indexes for table `user`
--
ALTER TABLE `user`
  ADD PRIMARY KEY (`username`);

--
-- Constraints for dumped tables
--

--
-- Constraints for table `email`
--
ALTER TABLE `email`
  ADD CONSTRAINT `has emails` FOREIGN KEY (`username`) REFERENCES `registered_details` (`username`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `eventmanagers`
--
ALTER TABLE `eventmanagers`
  ADD CONSTRAINT `can have id` FOREIGN KEY (`username`) REFERENCES `registered_details` (`username`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `events`
--
ALTER TABLE `events`
  ADD CONSTRAINT `provides Theme` FOREIGN KEY (`event_id`) REFERENCES `eventmanagers` (`event_manager_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `phone_details`
--
ALTER TABLE `phone_details`
  ADD CONSTRAINT `has many` FOREIGN KEY (`username`) REFERENCES `registered_details` (`username`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `profile`
--
ALTER TABLE `profile`
  ADD CONSTRAINT `has profile` FOREIGN KEY (`event_manager_id`) REFERENCES `eventmanagers` (`event_manager_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `registered_details`
--
ALTER TABLE `registered_details`
  ADD CONSTRAINT `has` FOREIGN KEY (`username`) REFERENCES `user` (`username`) ON DELETE CASCADE ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
